Index: src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 2663)
@@ -1601,9 +1582,9 @@
 
         // now stack1 is empty and we should make sure stack2 is empty too
         if (!stack2.isEmpty()) {
-            MetaCatUtil.debugMessage(
+            logMetacat.info(
                     "stack2 still have some elements while stack "
-                            + "is empty! ", 30);
+                            + "is empty! ");
             throw new SAXException(UPDATEACCESSERROR);
         }//if
     }//comparingNodeStacks
@@ -1628,9 +1609,9 @@
                 try {
                     // Get subsection id
                     String subSectionId = (String) en.nextElement();
-                    MetaCatUtil.debugMessage(
+                    logMetacat.info(
                             "sub section id in additional access mapping"
-                                    + "(go through): " + subSectionId, 35);
+                                    + "(go through): " + subSectionId);
 
                     if (subSectionId == null) {
                     // if id is null, terminate the program
@@ -1656,17 +1637,17 @@
                                     .getReferences();
 
                             boolean findAccessObject = false;
-                            MetaCatUtil.debugMessage(
+                            logMetacat.info(
                                     "referered id for additional access "
                                             + "mapping(go through): "
-                                            + referenceId, 35);
+                                            + referenceId);
                             for (int i = 0; i < accessObjectList.size(); i++) {
                                 AccessSection accessObj = (AccessSection) accessObjectList
                                         .elementAt(i);
                                 String accessObjId = accessObj.getSubTreeId();
-                                MetaCatUtil.debugMessage(
+                                logMetacat.info(
                                         "access obj id in the list(go through): "
-                                                + accessObjId, 35);
+                                                + accessObjId);
                                 if (referenceId != null && accessObj != null
                                         && referenceId.equals(accessObjId)) {
                                     writeGivenAccessRuleIntoDB(accessObj,
@@ -1684,9 +1665,9 @@
                 }//try
                 catch (Exception e) {
 
-                    MetaCatUtil.debugMessage(
+                    logMetacat.error(
                             "error in EmlSAXHandler.writeAddtionalAccess"
-                                    + ": " + e.getMessage(), 30);
+                                    + ": " + e.getMessage());
                     throw new SAXException(e.getMessage());
                 }
             }//while
@@ -1720,13 +1701,11 @@
             connection.increaseUsageCount(1);
             // Bind the values to the query
             pstmt.setString(1, docid);
-            MetaCatUtil.debugMessage("Docid in accesstable: " + docid, 35);
+            logMetacat.info("Docid in accesstable: " + docid);
             pstmt.setString(6, docid);
-            MetaCatUtil.debugMessage("Accessfileid in accesstable: " + docid,
-                    35);
+            logMetacat.info("Accessfileid in accesstable: " + docid);
             pstmt.setString(5, permOrder);
-            MetaCatUtil.debugMessage("PermOder in accesstable: " + permOrder,
-                    35);
+            logMetacat.info("PermOder in accesstable: " + permOrder);
             // if it is not top level, set subsection id
             if (!topLevel) {
                 long startNodeId = 0;
@@ -1749,13 +1728,12 @@
                         "Could find the subtree" + "for this id: "
                                 + subSectionId); }
                 pstmt.setString(7, subSectionId);
-                MetaCatUtil.debugMessage("SubSectionId in accesstable: "
-                        + subSectionId, 35);
+                logMetacat.info("SubSectionId in accesstable: "
+                        + subSectionId);
                 pstmt.setLong(8, startNodeId);
-                MetaCatUtil
-                        .debugMessage("Start node id is: " + startNodeId, 35);
+                logMetacat.info("Start node id is: " + startNodeId);
                 pstmt.setLong(9, endNodeId);
-                MetaCatUtil.debugMessage("End node id is: " + endNodeId, 35);
+                logMetacat.info("End node id is: " + endNodeId);
 
             }
 
@@ -1766,18 +1744,18 @@
                 String permType = rule.getPermissionType();
                 int permission = rule.getPermission();
                 pstmt.setInt(3, permission);
-                MetaCatUtil.debugMessage("permission in accesstable: "
-                        + permission, 35);
+                logMetacat.info("permission in accesstable: "
+                        + permission);
                 pstmt.setString(4, permType);
-                MetaCatUtil.debugMessage(
-                        "Permtype in accesstable: " + permType, 35);
+                logMetacat.info(
+                        "Permtype in accesstable: " + permType);
                 // go through every principle in rule
                 Vector nameVector = rule.getPrincipal();
                 for (int j = 0; j < nameVector.size(); j++) {
                     String prName = (String) nameVector.elementAt(j);
                     pstmt.setString(2, prName);
-                    MetaCatUtil.debugMessage("Principal in accesstable: "
-                            + prName, 35);
+                    logMetacat.info("Principal in accesstable: "
+                            + prName);
                     pstmt.execute();
                 }//for
             }//for
@@ -1820,13 +1798,11 @@
             connection.increaseUsageCount(1);
             // Bind the values to the query
             pstmt.setString(1, dataId);
-            MetaCatUtil.debugMessage("Docid in accesstable: " + docid, 35);
+            logMetacat.info("Docid in accesstable: " + docid);
             pstmt.setString(6, docid);
-            MetaCatUtil.debugMessage("Accessfileid in accesstable: " + docid,
-                    35);
+            logMetacat.info("Accessfileid in accesstable: " + docid);
             pstmt.setString(5, permOrder);
-            MetaCatUtil.debugMessage("PermOder in accesstable: " + permOrder,
-                    35);
+            logMetacat.info("PermOder in accesstable: " + permOrder);
             // if it is not top level, set subsection id
 
             Vector accessRules = accessSection.getAccessRules();
@@ -1836,18 +1812,18 @@
                 String permType = rule.getPermissionType();
                 int permission = rule.getPermission();
                 pstmt.setInt(3, permission);
-                MetaCatUtil.debugMessage("permission in accesstable: "
-                        + permission, 35);
+                logMetacat.info("permission in accesstable: "
+                        + permission);
                 pstmt.setString(4, permType);
-                MetaCatUtil.debugMessage(
-                        "Permtype in accesstable: " + permType, 35);
+                logMetacat.info(
+                        "Permtype in accesstable: " + permType);
                 // go through every principle in rule
                 Vector nameVector = rule.getPrincipal();
                 for (int j = 0; j < nameVector.size(); j++) {
                     String prName = (String) nameVector.elementAt(j);
                     pstmt.setString(2, prName);
-                    MetaCatUtil.debugMessage("Principal in accesstable: "
-                            + prName, 35);
+                    logMetacat.info("Principal in accesstable: "
+                            + prName);
                     pstmt.execute();
                 }//for
             }//for
@@ -1918,21 +1894,19 @@
             String sectionId = accessSection.getSubTreeId();
             // Bind the values to the query
             pstmt.setString(1, docid);
-            MetaCatUtil.debugMessage("Docid in access-subtreetable: " + docid,
-                    35);
+            logMetacat.info("Docid in access-subtreetable: " + docid);
             pstmt.setString(2, revision);
-            MetaCatUtil.debugMessage("rev in accesssubtreetable: " + revision,
-                    35);
+            logMetacat.info("rev in accesssubtreetable: " + revision);
             pstmt.setString(3, level);
-            MetaCatUtil.debugMessage("contorl level in access-subtree table: "
-                    + level, 35);
+            logMetacat.info("contorl level in access-subtree table: "
+                    + level);
             pstmt.setString(4, sectionId);
-            MetaCatUtil.debugMessage("Subtree id in access-subtree table: "
-                    + sectionId, 35);
+            logMetacat.info("Subtree id in access-subtree table: "
+                    + sectionId);
             pstmt.setLong(5, startNodeId);
-            MetaCatUtil.debugMessage("Start node id is: " + startNodeId, 35);
+            logMetacat.info("Start node id is: " + startNodeId);
             pstmt.setLong(6, endNodeId);
-            MetaCatUtil.debugMessage("End node id is: " + endNodeId, 35);
+            logMetacat.info("End node id is: " + endNodeId);
             pstmt.execute();
             pstmt.close();
         }//try
@@ -1985,7 +1959,7 @@
          * File inlineDataDirectory = new File(path);
          */
         String newFile = path + "/" + fileName;
-        MetaCatUtil.debugMessage("inline file name: " + newFile, 30);
+        logMetacat.info("inline file name: " + newFile);
         try {
             // true means append
             writer = new FileWriter(newFile, true);
@@ -2052,8 +2026,7 @@
         } catch (Exception e) {
             throw new McdbException(e.getMessage());
         }
-        MetaCatUtil.debugMessage("the inline data retrieve from file: " + data,
-                50);
+        logMetacat.info("the inline data retrieve from file: " + data);
         return same;
     }
 
@@ -2186,7 +2159,7 @@
      */
     private void handleOnlineUrlDataFile(String url) throws SAXException
     {
-      MetaCatUtil.debugMessage("The url is "+ url, 10);
+      logMetacat.warn("The url is "+ url);
       // if the url is not a ecogrid protocol, null will be getten
       String accessionNumber =
                  MetaCatUtil.getAccessionNumberFromEcogridIdentifier(url);
@@ -2213,9 +2186,9 @@
         }//try
         catch(Exception e)
         {
-          MetaCatUtil.debugMessage("Eorr in " +
+          logMetacat.error("Eorr in " +
                                 "Eml210SAXHanlder.handleOnlineUrlDataFile is " +
-                                 e.getMessage(), 30);
+                                 e.getMessage());
           throw new SAXException(e.getMessage());
         }
       }
Index: src/edu/ucsb/nceas/metacat/NodeRecord.java
===================================================================
--- src/edu/ucsb/nceas/metacat/NodeRecord.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/NodeRecord.java	(revision 2663)
@@ -27,6 +27,8 @@
 
 package edu.ucsb.nceas.metacat;
 
+import org.apache.log4j.Logger;
+
 /**
  * A utility class that encapsulates a node and its data
  */
@@ -38,6 +40,7 @@
   public String nodeprefix = null;
   public String nodetype = null;
   public String nodedata = null;
+  private Logger logMetacat = Logger.getLogger(NodeRecord.class);
 
   /**
    * Constructor
@@ -94,14 +97,14 @@
   public boolean contentEquals(NodeRecord record)
   {
     boolean flag = true;
-    MetaCatUtil.debugMessage("First nodetype: "+this.nodetype, 40);
-    MetaCatUtil.debugMessage("Second nodetype: "+record.getNodeType(), 40);
-    MetaCatUtil.debugMessage("First nodename: "+this.nodename, 40);
-    MetaCatUtil.debugMessage("Second nodename: "+record.getNodeName(), 40);
-    MetaCatUtil.debugMessage("First nodeprefix: "+this.nodeprefix, 40);
-    MetaCatUtil.debugMessage("Second nodeprefix: "+record.getNodePrefix(), 40);
-    MetaCatUtil.debugMessage("First nodedata: "+this.nodedata, 40);
-    MetaCatUtil.debugMessage("Second nodedata: "+record.getNodeData(), 40);
+    logMetacat.info("First nodetype: "+this.nodetype);
+    logMetacat.info("Second nodetype: "+record.getNodeType());
+    logMetacat.info("First nodename: "+this.nodename);
+    logMetacat.info("Second nodename: "+record.getNodeName());
+    logMetacat.info("First nodeprefix: "+this.nodeprefix);
+    logMetacat.info("Second nodeprefix: "+record.getNodePrefix());
+    logMetacat.info("First nodedata: "+this.nodedata);
+    logMetacat.info("Second nodedata: "+record.getNodeData());
     if ((this.nodename == null && record.getNodeName() != null) ||
         (this.nodename != null && record.getNodeName() == null) ||
         (this.nodename != null && record.getNodeName() != null &&
Index: src/edu/ucsb/nceas/metacat/ReplicationServerList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReplicationServerList.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/ReplicationServerList.java	(revision 2663)
@@ -32,6 +32,8 @@
 import java.util.Vector;
 import java.sql.*;
 
+import org.apache.log4j.Logger;
+
 /**
  * A class represent a replication server list in xml_replcation table
  */
@@ -40,7 +42,8 @@
 {
   private static Vector serverList = null; //Vector to store server list
   private static final AbstractDatabase dbAdapter = MetaCatUtil.dbAdapter;
-  
+  private static Logger logMetacat = Logger.getLogger(ReplicationServer.class);
+
   /**
    * constructor of ReplicationServerList
    * It will build server list. If only local host exists, ther server list
@@ -89,19 +92,19 @@
       {
         //Server name
         String serverName = rs.getString(1);
-        MetaCatUtil.debugMessage("ServerName: "+serverName, 40);
+        logMetacat.info("ServerName: "+serverName);
         //Last check date
         String lastChecked = rs.getString(2);
-        MetaCatUtil.debugMessage("Last checked time: "+lastChecked, 40);
+        logMetacat.info("Last checked time: "+lastChecked);
         //Replication value
         int replication = rs.getInt(3);
-        MetaCatUtil.debugMessage("Replication value: "+replication, 40);
+        logMetacat.info("Replication value: "+replication);
         //Data replication value
         int dataReplication = rs.getInt(4);
-        MetaCatUtil.debugMessage("DataReplication value: "+dataReplication, 40);
+        logMetacat.info("DataReplication value: "+dataReplication);
         //Hub value
         int hubValue = rs.getInt(5);
-        MetaCatUtil.debugMessage("Hub value: "+hubValue, 40);
+        logMetacat.info("Hub value: "+hubValue);
         //Get rid of local host
         if(!serverName.equals("localhost"))
         {
@@ -165,8 +168,8 @@
     }//try
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("Error in ReplicationServerList."
-                                    +"buildServerList(): "+e.getMessage(), 30);
+      logMetacat.error("Error in ReplicationServerList."
+                                    +"buildServerList(): "+e.getMessage());
     }//catch
     finally
     {
@@ -179,8 +182,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in ReplicationHandler.buildServerList: "
-                                +sqlE.getMessage(), 30);
+        logMetacat.error("Error in ReplicationHandler.buildServerList: "
+                                +sqlE.getMessage());
       }//catch
       finally
       {
@@ -460,8 +463,8 @@
       }//try
       catch (Exception e)
       {
-        MetaCatUtil.debugMessage("Error in ReplicationServerList."+
-                            "addToServerListIfItIsNot: " + e.getMessage(), 30);
+        logMetacat.error("Error in ReplicationServerList."+
+                            "addToServerListIfItIsNot: " + e.getMessage());
       }//catch
       finally
       { 
@@ -471,8 +474,8 @@
         }//try
         catch (Exception ee)
         { 
-          MetaCatUtil.debugMessage("Error in ReplicationServerList."+
-                            "addToServerListIfItIsNot: " + ee.getMessage(), 50);
+          logMetacat.error("Error in ReplicationServerList."+
+                            "addToServerListIfItIsNot: " + ee.getMessage());
         }//catch
         finally
         {
